package logwire.core.bo.factory;

import logwire.core.bo.object.BizObject;

public interface BizObjectFactoryEventHandler<X extends BizObject> {
    String getName();

    void doBefore(Class<X> xClass, Object... args);

    void doAfter(Class<X> xClass, Object result, Object... args);
}