package logwire.core.bo.field;

import logwire.core.bo.object.BizObject;
import logwire.core.bo.list.BizList;

public interface BizMany<X extends BizObject> extends Iterable<X> {
    void add(Long id);

    void remove(Long id);

    void add(X object);

    void remove(X object);

    void addAll(BizList<X> list);

    BizList<X> findAll();
}
