package logwire.core.bo.operation.list;

import logwire.core.bo.annotation.ListOperationProvider;
import logwire.core.bo.annotation.Operation;
import logwire.core.bo.object.BizObject;

//所有BO Object 默认ListOperation定义
@ListOperationProvider(type = BizObject.class)
public interface DefaultListOperationProvider<X extends BizObject> {
    @Operation(name = "save")
    void save();
    @Operation(name = "delete")
    void delete();
    @Operation(name = "insert")
    void insert();
    @Operation(name = "update")
    void update(String ...fields);
}