package logwire.core.bo.operation.list;

import logwire.core.bo.list.BizList;
import logwire.core.bo.object.BizObject;

public interface ListOperationEventHandler<X extends BizObject> {
    String getName();
    default void doBefore(BizList<X> xList, Object...args){
        //调用行为同名方法
    }
    default void doAfter(BizList<X> xList, Object result, Object...args){
        //调用行为同名方法
    }
}
