package logwire.core.bo.operation.object;

import logwire.core.bo.object.BizObject;

public interface ObjectOperationHandler<X extends BizObject> {
    String getName();

    /*boolean isEnabled();
    default int getOrder(){return 1000;}*/

    default boolean accept(X x, Object...args){return true;}
    Object execute(X x, Object...args);
}
